package com.diagbot.client.hystrix;

import com.diagbot.client.IcssPush5ServiceClient;
import com.diagbot.dto.RespDTO;
import com.diagbot.icss5.PushDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

@Component
@Slf4j
public class IcssPush5ServiceHystrix implements IcssPush5ServiceClient {
    @Override
    public RespDTO<PushDTO> getAnnotation(@RequestBody com.diagbot.icss5.PushVO searchData) {
        log.error("【hystrix】调用{}异常", "CRF-getAnnotation");
        return null;
    }
}
